package com.tykj.model.service;


import com.tykj.model.entity.Rule;
import com.tykj.model.entity.vo.RuleVo;


import java.util.List;

/**
 * @Description TODO
 * @Author WWW
 * @Date 2021/6/29 11:04
 */
public interface RuleService {


    /**
     * 新增
     * @param ruleVo
     */
    void add(RuleVo ruleVo);


    /**
     * 修改
     * @param ruleVo
     */
    void update(RuleVo ruleVo);


    /**
     * 删除
     * @param id
     */
    void del(Integer id);

    /**
     * 查询
     * @return
     */
    List<Rule> getAll();
}
